# Cancel Active QR (Static, Dynamic)

**POST** `/v2/mia/qr/{qrId}/cancel`

Allows cancellation of an active Static or Dynamic QR code. After cancellation, the QR code can no longer be used for payments.

***

#### Request parameters (path)

| Name | Type          | Required | Description                       |
| ---- | ------------- | -------- | --------------------------------- |
| qrId | string (guid) | Yes      | Unique identifier of the QR code. |

***

#### Requests parameters (body)

| Name   | Type              | Required | Description                          |
| ------ | ----------------- | -------- | ------------------------------------ |
| reason | string (max. 500) | Yes      | Reason for the cancellation request. |

#### Request example

```json
{
  "reason": "Client cancelled the order"
}
```

***

#### Response parameters

| Name                | Type          | Description                                |
| ------------------- | ------------- | ------------------------------------------ |
| result              | obiect        | The result object of the response.         |
| result.qrId         | string (guid) | Unique identifier of the QR code.          |
| result.status       | string (enum) | QR status. Possible values: `Cancelled`.   |
| ok                  | boolean       | `true` – no errors, `false` - with errors. |
| errors              | array         | List of processing errors, if any.         |
| errors.errorCode    | string        | Error code.                                |
| errors.errorMessage | string        | Error message.                             |

***

#### Response example

```json
{
  "result": {
    "qrId": "123e4567-e89b-12d3-a456-426614174000",
    "status": "Cancelled"
  },
  "ok": true
}
```
